org.appng.core.controller.messaging

## Class ReloadSiteEvent

- java.lang.Object
- - org.appng.api.messaging.Event
  - - org.appng.core.controller.messaging.ReloadSiteEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SiteController.ReloadSiteFromAppNGizer

      public class ReloadSiteEvent
      extends Event

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReloadSiteEvent(String siteName)`
    `ReloadSiteEvent(String siteName, String targetNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `delayed()`
    `protected InitializerService` | `getInitializerService(Environment environment)`
    `protected org.springframework.context.ApplicationContext` | `getPlatformContext(Environment environment)`
    `protected boolean` | `isTargetNode(Environment environment)`
    `protected void` | `logIgnoreMessage(org.slf4j.Logger logger)`
    `void` | `perform(Environment env, Site site)` Performs the event
    `void` | `wait(Environment env, Site site, org.slf4j.Logger logger)`
    `void` | `waitForClusterState(Environment env, Site site, org.slf4j.Logger logger)`

    - ### Methods inherited from class org.appng.api.messaging.Event

      `getNodeId, getSiteName, setNodeId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReloadSiteEvent

          public ReloadSiteEvent(String siteName)

    - #### ReloadSiteEvent

          public ReloadSiteEvent(String siteName,
                                 String targetNode)

  - ### Method Detail

    - #### perform

          public void perform(Environment env,
                              Site site)
                       throws InvalidConfigurationException

      Description copied from class: `Event`
      Performs the event
      Specified by:
        `perform` in class `Event`
      Parameters:
        `env` - then `Environment` to use
        `site` - the `Site` where the event occurred
      Throws:
        `InvalidConfigurationException` - if there's a configuration error

    - #### wait

          public void wait(Environment env,
                           Site site,
                           org.slf4j.Logger logger)

    - #### waitForClusterState

          public void waitForClusterState(Environment env,
                                          Site site,
                                          org.slf4j.Logger logger)

    - #### delayed

          protected boolean delayed()

    - #### isTargetNode

          protected boolean isTargetNode(Environment environment)

    - #### logIgnoreMessage

          protected void logIgnoreMessage(org.slf4j.Logger logger)

    - #### getInitializerService

          protected InitializerService getInitializerService(Environment environment)

    - #### getPlatformContext

          protected org.springframework.context.ApplicationContext getPlatformContext(Environment environment)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.